package com.mosty.qwzx.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.mosty.base.model.dto.qwzx.TbQwMfjSearchDto;
import com.mosty.common.base.domain.ResponseResult;
import io.swagger.annotations.ApiOperation;

import javax.swing.*;
import java.util.List;
import java.util.Map;

public interface QwzxStatisticsService {

    @ApiOperation("警力情况-辅警-全部辅警数量")
    Integer qbfj(TbQwMfjSearchDto dto);

    @ApiOperation("警力情况-辅警-全部辅警列表")
    IPage<Map<String, Object>> qbfjList(TbQwMfjSearchDto dto);

    @ApiOperation("警力情况-辅警-全部列表")
    IPage<Map<String, Object>> qblb(TbQwMfjSearchDto dto);

    @ApiOperation("警力情况-辅警-全部在岗统计")
    IPage<Map<String, Object>> qbzgtj(TbQwMfjSearchDto dto);

    @ApiOperation("警力情况-辅警-在岗辅警")
    Integer zgfj(TbQwMfjSearchDto dto);

    @ApiOperation("警力情况-辅警-在岗辅警列表")
    IPage<Map<String, Object>> zgfjList(TbQwMfjSearchDto dto);

    @ApiOperation("警力情况-辅警-在岗列表")
    IPage<Map<String, Object>> zglb(TbQwMfjSearchDto dto);

    @ApiOperation("警力情况-街面警力-辅警列表")
    IPage<Map<String, Object>> fjlb(TbQwMfjSearchDto dto);

    @ApiOperation("警力情况-街面警力-民警列表")
    IPage<Map<String, Object>> mjlb(TbQwMfjSearchDto dto);

    @ApiOperation("警力情况-街面警力-全部名民警辅警")
    Integer qb(TbQwMfjSearchDto dto);

    @ApiOperation("警力情况-街面警力-民警列表")
    IPage<Map<String, Object>> qbList(TbQwMfjSearchDto dto);

    @ApiOperation("警力情况-街面警力-在岗民警辅警")
    Integer zg(TbQwMfjSearchDto dto);

    @ApiOperation("警力情况-街面警力-在岗民警辅警列表")
    IPage<Map<String, Object>> zgList(TbQwMfjSearchDto dto);

    @ApiOperation("警力情况-可抽调-可抽调辅警列表")
    IPage<Map<String, Object>> kcdFjlb(TbQwMfjSearchDto dto);

    @ApiOperation("警力情况-可抽调-可抽调民警辅警数量")
    List<Map<String,Object>> zbtj(TbQwMfjSearchDto dto);

    @ApiOperation("警力情况-可抽调-可抽调民警列表")
    IPage<Map<String, Object>> kcdMjlb(TbQwMfjSearchDto dto);

    @ApiOperation("警力情况-民警-民警辅警整合列表")
    IPage<Map<String, Object>> mjfjzh(TbQwMfjSearchDto dto);

    @ApiOperation("警力情况-民警-全部列表")
    IPage<Map<String, Object>> mjQblb(TbQwMfjSearchDto dto);

    @ApiOperation("警力情况-民警-全部民警")
    Integer qbmj(TbQwMfjSearchDto dto);

    @ApiOperation("警力情况-民警-全部民警列表")
    IPage<Map<String, Object>> qbmjList(TbQwMfjSearchDto dto);

    @ApiOperation("警力情况-民警-全部在岗统计")
    Integer mjQbzgtj(TbQwMfjSearchDto dto);

    @ApiOperation("警力情况-民警-在岗列表")
    IPage<Map<String, Object>> mjZglb(TbQwMfjSearchDto dto);

    @ApiOperation("警力情况-民警-在岗民警")
    Integer zgmj(TbQwMfjSearchDto dto);

    @ApiOperation("警力情况-民警-在岗民警辅警整合")
    List<Map<String, Object>> zgmjfjzh(TbQwMfjSearchDto dto);

    @ApiOperation("警力情况-民警-在岗民警列表")
    IPage<Map<String, Object>> zgmjList(TbQwMfjSearchDto dto);

    @ApiOperation("警力情况-请休假-辅警列表")
    IPage<Map<String, Object>> qxFjlb(TbQwMfjSearchDto dto);

    @ApiOperation("警力情况-请休假-民警辅警统计")
    List<Map<String,Object>> mjfjtj(TbQwMfjSearchDto dto);

    @ApiOperation("警力情况-请休假-民警列表")
    IPage<Map<String, Object>> qxjMjlb(TbQwMfjSearchDto dto);

    @ApiOperation("警力情况-民警-全部列表-第三方")
    IPage<Map<String, Object>> mjQblbOther(TbQwMfjSearchDto dto);

    @ApiOperation("警力情况-民警-民警列表-第三方")
    IPage<Map<String, Object>> mjlbOther(TbQwMfjSearchDto dto);

    @ApiOperation("警力情况-民警-在岗民警列表-第三方")
    IPage<Map<String, Object>> zgmjListOther(TbQwMfjSearchDto dto);

    @ApiOperation("警力情况-请休假-民警列表-第三方")
    IPage<Map<String, Object>> qxjMjlbOther(TbQwMfjSearchDto dto);

    @ApiOperation("警力情况-辅警-全部列表-第三方")
    IPage<Map<String, Object>> qblbOther(TbQwMfjSearchDto dto);

    @ApiOperation("警力情况-街面警力-辅警列表-第三方")
    IPage<Map<String, Object>> fjlbOther(TbQwMfjSearchDto dto);

    @ApiOperation("警力情况-辅警-在岗辅警列表-第三方")
    IPage<Map<String, Object>> zgfjListOther(TbQwMfjSearchDto dto);

    @ApiOperation("警力情况-请休假-辅警列表-第三方")
    IPage<Map<String, Object>> qxFjlbOther(TbQwMfjSearchDto dto);
}
